//
//  GFaLocationManagerSettingModel.m
//
//  Copyright (c) 2013 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import "GFaLocationManagerSettingModel.h"

#import <libLocationManagerProbe/LocationManager.h>
#import "GFaCommon.h"

#define UserDefaultsKey	@"GFaLocationManagerSettingModel"

static GFaLocationManagerSettingModel *sharedLocationManagerSettingModel = nil;

@interface GFaLocationManagerSettingModel ()

@end

@implementation GFaLocationManagerSettingModel

/* 初期処理 */
- (id)init
{
    return [super initModel:UserDefaultsKey];
}

/* インスタンス取得 */
+ (GFaLocationManagerSettingModel *)defaultModel
{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        sharedLocationManagerSettingModel = [[GFaLocationManagerSettingModel alloc] init];
    });
    
    return sharedLocationManagerSettingModel;
}

/* 位置測定ライブラリ設定の初期値を取得 */
- (NSDictionary *)defaultInfo
{
    NSDictionary *returnInfo = @{
        MeasuringSettingApiKey : GFaLocationManagerSettingDefault_ApiKey,
        MeasuringSettingClientIDKey : GFaLocationManagerSettingDefault_ClientID,
        MeasuringSettingSecretKey : GFaLocationManagerSettingDefault_Secret,
        MeasuringSettingAuthEnvKey : @(GFaLocationManagerSettingDefault_AuthEnv),
        MeasuringSettingAccuracyKey : @(GFaLocationManagerSettingDefault_Accuracy),
        MeasuringSettingDistanceKey : @(GFaLocationManagerSettingDefault_Distance),
        MeasuringSettingBatteryLevIntervalKey : @(GFaLocationManagerSettingDefault_BatteryLevInterval),
        MeasuringSettingSignificantChangeAccuracyKey : @(GFaLocationManagerSettingDefault_SignificantChangeAccuracy),
        MeasuringSettingLowEnergyModeKey : @(GFaLocationManagerSettingDefault_LowEnergyMode),
        
        MeasuringSettingMonitoringAreaSmallRadiusKey : @(GFaLocationManagerSettingDefault_MonitoringAreaSmallRadius),
        MeasuringSettingMonitoringAreaMiddleRadiusKey : @(GFaLocationManagerSettingDefault_MonitoringAreaMiddleRadius),
        MeasuringSettingMonitoringAreaLargeRadiusKey : @(GFaLocationManagerSettingDefault_MonitoringAreaLargeRadius),
        MeasuringSettingMonitoringAreaOversizeRadiusKey : @(GFaLocationManagerSettingDefault_MonitoringAreaOversizeRadius),
        MeasuringSettingMonitoringSlowSpeedKey : @(GFaLocationManagerSettingDefault_MonitoringSlowSpeed),
        MeasuringSettingMonitoringMiddleSpeedKey : @(GFaLocationManagerSettingDefault_MonitoringMiddleSpeed),
        MeasuringSettingMonitoringHighSpeedKey : @(GFaLocationManagerSettingDefault_MonitoringHighSpeed),
    };
    
    return returnInfo;
}

@end

